$(document).ready(function () {
  // -------------spin-------------------
  var resultWrapper = document.querySelector(".spin-result-wrapper");
  var wheel = document.querySelector(".wheel-img");

  $(".cursor-text").on("click", function (event) {
    $(this).off(event);

    if (!wheel.classList.contains("rotated")) {
      wheel.classList.add("super-rotation");
      setTimeout(function () {
        $(".spin-wrapper").slideUp();
        $(".order_block").slideDown();
        $("#timer").yuukCountDown({
          starttime: makeDate(),
          endtime: makeDate(10),
          endCallBack: function () {
            $(".countdown-time").append("Time Out");
            $(".clearfix").hide();
          },
        });
      }, 9500);
      wheel.classList.add("rotated");
    }
  });

  $(".close-popup, .pop-up-button").click(function (e) {
    e.preventDefault();
    $(".spin-result-wrapper").fadeOut();
  });

  function makeDate() {
    var n = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
    var thisDate = new Date();
    var minute = thisDate.getMinutes() + n;
    var month = thisDate.getMonth() + 1;
    var final = thisDate.getFullYear() + "/" + month + "/" + thisDate.getDate() + " " + thisDate.getHours() + ":" + minute + ":" + thisDate.getSeconds();
    return final;
  }

  // --------------SCROLL-------------------
  $("#root a, .burg").on("touchend, click", function (e) {
    e.preventDefault();
    $("body,html").animate(
      { scrollTop: $(".scroll-toform").offset().top },
      800
    );
  });
  //$(".ac_footer a, .ac_gdpr_fix a, .Link-root, .Header-News, .Header-itemLang, .nosctoll").unbind("click");

  var popupShow = 1;
  $("html").mouseleave(function () {
    if (popupShow === 1) {
      popupShow = 0;
      $(".overlay, .popup").fadeIn();
    }
  });

  $(document).keydown(function (e) {
    if (e.keyCode === 27) {
      $(".overlay, .spin-result-wrapper").fadeOut();
    }
  });

  $(".close, .overlay, .popup_btn").click(function () {
    $(".overlay, .spin-result-wrapper").fadeOut();
  });
});
